<?php
  session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];
	include '../../conexion/conn.php';
$caja_id=$_REQUEST['caja_id'];
$hora=$_REQUEST['hora'];
  $estructura_orden=$_REQUEST['estructura_orden'];
  $cant_cargadores=$_REQUEST['cant_cargadores'];
  $cant_pitones=$_REQUEST['cant_pitones'];
  $yemas_cargador=$_REQUEST['yemas_cargador'];
  $yemas_piton=$_REQUEST['yemas_piton'];
  $limpieza_poda=$_REQUEST['limpieza_poda'];
  $cuartel3=$_REQUEST['cuartel3'];
  $cuadrilla3=$_REQUEST['cuadrilla3'];
  
  $observacion=$_REQUEST['observacion'];

$contador=0;
$suma=0;
  if($estructura_orden!=""){
    $contador++;
    $suma+=$estructura_orden;
  }

  if($cant_cargadores!=""){
    $contador++;
    $suma+=$cant_cargadores;
  }

  if($cant_pitones!=""){
    $contador++;
    $suma+=$cant_pitones;
  }

  if($yemas_cargador!=""){
    $contador++;
    $suma+=$yemas_cargador;
  }

  if($yemas_piton!=""){
    $contador++;
    $suma+=$yemas_piton;
  }

  if($limpieza_poda!=""){
    $contador++;
    $suma+=$limpieza_poda;
  }

  $prom=$suma/$contador;

  
  	$result=mysql_query("UPDATE cal_caja_pla_huerto 
      SET hora='$hora',
      cuartel='$cuartel3',
      cuadrilla='$cuadrilla3',
      estructura_orden='$estructura_orden',
      prom='$prom',
      cant_cargadores='$cant_cargadores',
      cant_pitones='$cant_pitones',
      yemas_cargador='$yemas_cargador',
      yemas_piton='$yemas_piton',
      limpieza_poda='$limpieza_poda',
      observacion='$observacion'
      
      WHERE caja_id='$caja_id'");

  

  
					
			

	

  	

	if($result){
		echo json_encode(array('success'=>true));
	}else{
		echo json_encode(array('success'=>false));
	}






?>